Native2Ascii (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional, class: Native2Ascii

# Class Native2Ascii

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.MatchingTask
org.apache.tools.ant.taskdefs.optional.Native2Ascii

All Implemented Interfaces:
  `Cloneable, SelectorContainer`

public class Native2Ascii extends MatchingTask
Converts files from native encodings to ASCII.

Since:
  Ant 1.2

- ## Field Summary

  ### Fields inherited from class MatchingTask

  `fileset`
  Modifier and Type
  Field
  Description
  `protected FileSet`
  `fileset`

  ### Fields inherited from class Task

  `target, taskName, taskType, wrapper`
  Modifier and Type
  Field
  Description
  `protected Target`
  `target`
  Deprecated.
  since 1.6.x.
  `protected String`
  `taskName`
  Deprecated.
  since 1.6.x.
  `protected String`
  `taskType`
  Deprecated.
  since 1.6.x.
  `protected RuntimeConfigurable`
  `wrapper`
  Deprecated.
  since 1.6.x.

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Native2Ascii()`
  No args constructor

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `add(Native2AsciiAdapter adapter)`
  Set the adapter explicitly.
  `void`
  `add(FileNameMapper fileNameMapper)`
  A nested filenamemapper
  `ImplementationSpecificArgument`
  `createArg()`
  Adds an implementation specific command-line argument.
  `Path`
  `createImplementationClasspath()`
  The classpath to use when loading the native2ascii implementation if it is not a built-in one.
  `Mapper`
  `createMapper()`
  Defines the FileNameMapper to use (nested mapper element).
  `void`
  `execute()`
  Execute the task
  `String[]`
  `getCurrentArgs()`
  Returns the (implementation specific) settings given as nested arg elements.
  `String`
  `getEncoding()`
  The value of the encoding attribute.
  `boolean`
  `getReverse()`
  The value of the reverse attribute.
  `void`
  `setDest(File destDir)`
  Set the destination directory to place converted files into.
  `void`
  `setEncoding(String encoding)`
  Set the encoding to translate to/from.
  `void`
  `setExt(String ext)`
  Set the extension which converted files should have.
  `void`
  `setImplementation(String impl)`
  Choose the implementation for this particular task.
  `void`
  `setReverse(boolean reverse)`
  Flag the conversion to run in the reverse sense, that is Ascii to Native encoding.
  `void`
  `setSrc(File srcDir)`
  Set the source directory in which to find files to convert.

  ### Methods inherited from class MatchingTask

  `add, addAnd, addContains, addContainsRegexp, addCustom, addDate, addDepend, addDepth, addDifferent, addFilename, addMajority, addModified, addNone, addNot, addOr, addPresent, addSelector, addSize, addType, appendSelector, createExclude, createExcludesFile, createInclude, createIncludesFile, createPatternSet, getDirectoryScanner, getImplicitFileSet, getSelectors, hasSelectors, selectorCount, selectorElements, setCaseSensitive, setDefaultexcludes, setExcludes, setExcludesfile, setFollowSymlinks, setIncludes, setIncludesfile, setProject, XsetIgnore, XsetItems`
  Modifier and Type
  Method
  Description
  `void`
  `add(FileSelector selector)`
  add an arbitrary selector
  `void`
  `addAnd(AndSelector selector)`
  add an "And" selector entry on the selector list
  `void`
  `addContains(ContainsSelector selector)`
  add a contains selector entry on the selector list
  `void`
  `addContainsRegexp(ContainsRegexpSelector selector)`
  add a regular expression selector entry on the selector list
  `void`
  `addCustom(ExtendSelector selector)`
  add an extended selector entry on the selector list
  `void`
  `addDate(DateSelector selector)`
  add a selector date entry on the selector list
  `void`
  `addDepend(DependSelector selector)`
  add a depends selector entry on the selector list
  `void`
  `addDepth(DepthSelector selector)`
  add a depth selector entry on the selector list
  `void`
  `addDifferent(DifferentSelector selector)`
  add a type selector entry on the type list
  `void`
  `addFilename(FilenameSelector selector)`
  add a selector filename entry on the selector list
  `void`
  `addMajority(MajoritySelector selector)`
  add a majority selector entry on the selector list
  `void`
  `addModified(ModifiedSelector selector)`
  add the modified selector
  `void`
  `addNone(NoneSelector selector)`
  add a "None" selector entry on the selector list
  `void`
  `addNot(NotSelector selector)`
  add a "Not" selector entry on the selector list
  `void`
  `addOr(OrSelector selector)`
  add an "Or" selector entry on the selector list
  `void`
  `addPresent(PresentSelector selector)`
  add a present selector entry on the selector list
  `void`
  `addSelector(SelectSelector selector)`
  add a "Select" selector entry on the selector list
  `void`
  `addSize(SizeSelector selector)`
  add a selector size entry on the selector list
  `void`
  `addType(TypeSelector selector)`
  add a type selector entry on the type list
  `void`
  `appendSelector(FileSelector selector)`
  Add a new selector into this container.
  `PatternSet.NameEntry`
  `createExclude()`
  add a name entry on the exclude list
  `PatternSet.NameEntry`
  `createExcludesFile()`
  add a name entry on the include files list
  `PatternSet.NameEntry`
  `createInclude()`
  add a name entry on the include list
  `PatternSet.NameEntry`
  `createIncludesFile()`
  add a name entry on the include files list
  `PatternSet`
  `createPatternSet()`
  add a set of patterns
  `protected DirectoryScanner`
  `getDirectoryScanner(File baseDir)`
  Returns the directory scanner needed to access the files to process.
  `protected final FileSet`
  `getImplicitFileSet()`
  Accessor for the implicit fileset.
  `FileSelector[]`
  `getSelectors(Project p)`
  Returns the set of selectors as an array.
  `boolean`
  `hasSelectors()`
  Indicates whether there are any selectors here.
  `int`
  `selectorCount()`
  Gives the count of the number of selectors in this container
  `Enumeration<FileSelector>`
  `selectorElements()`
  Returns an enumerator for accessing the set of selectors.
  `void`
  `setCaseSensitive(boolean isCaseSensitive)`
  Sets case sensitivity of the file system
  `void`
  `setDefaultexcludes(boolean useDefaultExcludes)`
  Sets whether default exclusions should be used or not.
  `void`
  `setExcludes(String excludes)`
  Sets the set of exclude patterns.
  `void`
  `setExcludesfile(File excludesfile)`
  Sets the name of the file containing the includes patterns.
  `void`
  `setFollowSymlinks(boolean followSymlinks)`
  Sets whether or not symbolic links or Windows junctions should be followed.
  `void`
  `setIncludes(String includes)`
  Sets the set of include patterns.
  `void`
  `setIncludesfile(File includesfile)`
  Sets the name of the file containing the includes patterns.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.
  `void`
  `XsetIgnore(String ignoreString)`
  List of filenames and directory names to not include.
  `void`
  `XsetItems(String itemString)`
  Set this to be the items in the base directory that you want to be included.

  ### Methods inherited from class Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`
  Modifier and Type
  Method
  Description
  `final void`
  `bindToOwner(Task owner)`
  Bind a task to another; use this when configuring a newly created task to do work on behalf of another.
  `Target`
  `getOwningTarget()`
  Returns the container target of this task.
  `RuntimeConfigurable`
  `getRuntimeConfigurableWrapper()`
  Returns the wrapper used for runtime configuration.
  `String`
  `getTaskName()`
  Returns the name to use in logging messages.
  `String`
  `getTaskType()`
  Return the type of task.
  `protected RuntimeConfigurable`
  `getWrapper()`
  Return the runtime configurable structure for this task.
  `protected void`
  `handleErrorFlush(String output)`
  Handles an error line by logging it with the WARN priority.
  `protected void`
  `handleErrorOutput(String output)`
  Handles an error output by logging it with the WARN priority.
  `protected void`
  `handleFlush(String output)`
  Handles output by logging it with the INFO priority.
  `protected int`
  `handleInput(byte[] buffer, int offset, int length)`
  Handle an input request by this task.
  `protected void`
  `handleOutput(String output)`
  Handles output by logging it with the INFO priority.
  `void`
  `init()`
  Called by the project to let the task initialize properly.
  `protected final boolean`
  `isInvalid()`
  Has this task been marked invalid?
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `log(String msg, Throwable t, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `log(Throwable t, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `maybeConfigure()`
  Configures this task - if it hasn't been done already.
  `final void`
  `perform()`
  Performs this task if it's still valid, or gets a replacement version and performs that otherwise.
  `void`
  `reconfigure()`
  Force the task to be reconfigured from its RuntimeConfigurable.
  `void`
  `setOwningTarget(Target target)`
  Sets the target container of this task.
  `void`
  `setRuntimeConfigurableWrapper(RuntimeConfigurable wrapper)`
  Sets the wrapper to be used for runtime configuration.
  `void`
  `setTaskName(String name)`
  Sets the name to use in logging messages.
  `void`
  `setTaskType(String type)`
  Sets the name with which the task has been invoked.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Native2Ascii

    public Native2Ascii()
    No args constructor

- ## Method Details

  - ### setReverse

    public void setReverse(boolean reverse)
    Flag the conversion to run in the reverse sense, that is Ascii to Native encoding.
    Parameters:
      `reverse` - True if the conversion is to be reversed, otherwise false;

  - ### getReverse

    public boolean getReverse()
    The value of the reverse attribute.
    Returns:
      the reverse attribute.
    Since:
      Ant 1.6.3

  - ### setEncoding

    public void setEncoding(String encoding)
    Set the encoding to translate to/from. If unset, the default encoding for the JVM is used.
    Parameters:
      `encoding` - String containing the name of the Native encoding to convert from or to.

  - ### getEncoding

    public String getEncoding()
    The value of the encoding attribute.
    Returns:
      the encoding attribute.
    Since:
      Ant 1.6.3

  - ### setSrc

    public void setSrc(File srcDir)
    Set the source directory in which to find files to convert.
    Parameters:
      `srcDir` - directory to find input file in.

  - ### setDest

    public void setDest(File destDir)
    Set the destination directory to place converted files into.
    Parameters:
      `destDir` - directory to place output file into.

  - ### setExt

    public void setExt(String ext)
    Set the extension which converted files should have. If unset, files will not be renamed.
    Parameters:
      `ext` - File extension to use for converted files.

  - ### setImplementation

    public void setImplementation(String impl)
    Choose the implementation for this particular task.
    Parameters:
      `impl` - the name of the implementation
    Since:
      Ant 1.6.3

  - ### createMapper

    public Mapper createMapper() throws BuildException
    Defines the FileNameMapper to use (nested mapper element).
    Returns:
      the mapper to use for file name translations.
    Throws:
      `BuildException` - if more than one mapper is defined.

  - ### add

    public void add(FileNameMapper fileNameMapper)
    A nested filenamemapper
    Parameters:
      `fileNameMapper` - the mapper to add
    Since:
      Ant 1.6.3

  - ### createArg

    public ImplementationSpecificArgument createArg()
    Adds an implementation specific command-line argument.
    Returns:
      a ImplementationSpecificArgument to be configured
    Since:
      Ant 1.6.3

  - ### createImplementationClasspath

    public Path createImplementationClasspath()
    The classpath to use when loading the native2ascii implementation if it is not a built-in one.
    Returns:
      Path
    Since:
      Ant 1.8.0

  - ### add

    public void add(Native2AsciiAdapter adapter)
    Set the adapter explicitly.
    Parameters:
      `adapter` - Native2AsciiAdapter
    Since:
      Ant 1.8.0

  - ### execute

    public void execute() throws BuildException
    Execute the task
    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - is there is a problem in the task execution.

  - ### getCurrentArgs

    public String[] getCurrentArgs()
    Returns the (implementation specific) settings given as nested arg elements.
    Returns:
      the arguments.
    Since:
      Ant 1.6.3